Package ghidra.app.cmd.comments

# Class SetCommentCmd

java.lang.Object
ghidra.app.cmd.comments.SetCommentCmd

All Implemented Interfaces:
  `Command<Program>`

public class SetCommentCmd extends Object implements Command<Program>
Command to set a specific type of comment on a code unit.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetCommentCmd(Address addr, int commentType, String comment)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use `SetCommentCmd(Address, CommentType, String)` instead
  `SetCommentCmd(Address addr, CommentType commentType, String comment)`
  Construct command

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Applies the command to the given domain object.
  `static void`
  `createComment(Program program, Address addr, String comment, int commentType)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use `createComment(Program, Address, String, CommentType)` instead
  `static void`
  `createComment(Program program, Address addr, String comment, CommentType commentType)`
  Creates the specified comment of the specified type at address.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetCommentCmd

    @Deprecated(forRemoval=true, since="11.4") public SetCommentCmd(Address addr, int commentType, String comment)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use `SetCommentCmd(Address, CommentType, String)` instead
    Construct command
    Parameters:
      `addr` - address of code unit where comment will be placed
      `commentType` - valid comment type (see CodeUnit)
      `comment` - comment for code unit

  - ### SetCommentCmd

    public SetCommentCmd(Address addr, CommentType commentType, String comment)
    Construct command
    Parameters:
      `addr` - address of code unit where comment will be placed
      `commentType` - valid comment type (see CodeUnit)
      `comment` - comment for code unit

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command

  - ### applyTo

    public boolean applyTo(Program program)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful

  - ### createComment

    @Deprecated(forRemoval=true, since="11.4") public static void createComment(Program program, Address addr, String comment, int commentType)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use `createComment(Program, Address, String, CommentType)` instead
    Creates the specified comment of the specified type at address. The current comment of this commentType will be cleared.
    Parameters:
      `program` - the program being analyzed
      `addr` - the address where data is created
      `comment` - the comment about the data
      `commentType` - the type of comment (`CodeUnit.PLATE_COMMENT`, `CodeUnit.PRE_COMMENT`, `CodeUnit.EOL_COMMENT`, `CodeUnit.POST_COMMENT`, `CodeUnit.REPEATABLE_COMMENT`)

  - ### createComment

    public static void createComment(Program program, Address addr, String comment, CommentType commentType)
    Creates the specified comment of the specified type at address. The current comment of this commentType will be cleared.
    Parameters:
      `program` - the program being analyzed
      `addr` - the address where data is created
      `comment` - the comment about the data
      `commentType` - the type of comment